package com.securitycontrol.screen.service;

import com.securitycontrol.entity.screen.dto.ConstructionQualityDto;
import com.securitycontrol.entity.screen.vo.ConstructionQualityVo;

import java.util.List;

public interface ConstructionQualityService {

    List<ConstructionQualityVo> getDetectionRecord(ConstructionQualityDto dto);

    List<ConstructionQualityVo> getConstructionAlarm(ConstructionQualityDto dto);

    List<ConstructionQualityVo> getQualityInspection(ConstructionQualityDto dto);

    List<ConstructionQualityVo> getConstructionQualityList(ConstructionQualityDto dto);

}
